/**
 * Detecta si hay una posible vulnerabilidad de inclusión de archivos en una cadena dada.
 *
 * @param input - La cadena a analizar.
 * @returns `true` si se detecta una posible vulnerabilidad de inclusión de archivos, de lo contrario `false`.
 *
 * @remarks
 * Esta función utiliza una serie de expresiones regulares para buscar patrones comunes de inclusión de archivos en la cadena de entrada.
 * Los patrones incluyen recorrido de directorios, inclusión de archivos remotos y acceso a archivos y directorios sensibles.
 *
 * @autor Andres Gutierrez Velez
 * @since 21/06/2024
 * @contact sr.willardkraft@gmail.com
 */
export declare function detectFileInclusion(input: string): boolean;
